### Method

# GtkSource SnippetChunk set_focus_position

#### Declaration [src]

    void
    gtk_source_snippet_chunk_set_focus_position (
      GtkSourceSnippetChunk* chunk,
      gint focus_position
    )

#### Description [src]

Sets the `GtkSourceSnippetChunk:focus-position` property.

The focus-position is used to determine how many tabs it takes for the snippet to advanced to this chunk.

A focus-position of zero will be the last focus position of the snippet and snippet editing ends when it has been reached.

A focus-position of -1 means the chunk cannot be focused by the user.

Sets property | `GtkSource.SnippetChunk:focus-position`

#### Parameters

`focus_position`

  Type: `gint`

  The focus-position.